=== modified file 'drizzled/charset.h'
--- drizzled/charset.h	2011-10-24 13:51:13 +0000
+++ drizzled/charset.h	2011-10-24 14:41:40 +0000
@@ -252,7 +252,6 @@
   uint16_t    min_sort_char;
   uint16_t    max_sort_char; /* For LIKE optimization */
   unsigned char     pad_char;
-  bool   escape_with_backslash_is_dangerous;
   unsigned char     levels_for_compare;
   unsigned char     levels_for_order;
 

=== modified file 'drizzled/ctype-bin.cc'
--- drizzled/ctype-bin.cc	2011-10-23 19:30:49 +0000
+++ drizzled/ctype-bin.cc	2011-10-24 14:41:40 +0000
@@ -537,7 +537,6 @@
     0,				/* min_sort_char */
     255,			/* max_sort_char */
     0,                          /* pad char      */
-    0,                          /* escape_with_backslash_is_dangerous */
     1,                          /* levels_for_compare */
     1,                          /* levels_for_order   */
     &my_charset_handler,

=== modified file 'drizzled/ctype-uca.cc'
--- drizzled/ctype-uca.cc	2011-10-24 13:51:13 +0000
+++ drizzled/ctype-uca.cc	2011-10-24 14:41:40 +0000
@@ -7971,7 +7971,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8006,7 +8005,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8040,7 +8038,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8074,7 +8071,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8108,7 +8104,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8142,7 +8137,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8176,7 +8170,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8210,7 +8203,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8244,7 +8236,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8278,7 +8269,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8312,7 +8302,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8347,7 +8336,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8381,7 +8369,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8415,7 +8402,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8449,7 +8435,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8483,7 +8468,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8517,7 +8501,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8551,7 +8534,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8585,7 +8567,6 @@
     9,                   /* min_sort_char */
     0xFFFF,              /* max_sort_char */
     ' ',                 /* pad char      */
-    0,                   /* escape_with_backslash_is_dangerous */
     1,                   /* levels_for_compare */
     1,                   /* levels_for_order   */
     &my_charset_utf8mb4_handler,
@@ -8619,7 +8600,6 @@
     9,                  /* min_sort_char */
     0xFFFF,             /* max_sort_char */
     ' ',                /* pad char      */
-    0,                  /* escape_with_backslash_is_dangerous */
     1,                  /* levels_for_compare */
     1,                  /* levels_for_order   */
     &my_charset_utf8mb4_handler,

=== modified file 'drizzled/ctype-utf8.cc'
--- drizzled/ctype-utf8.cc	2011-10-24 09:51:02 +0000
+++ drizzled/ctype-utf8.cc	2011-10-24 14:41:40 +0000
@@ -2719,7 +2719,6 @@
   0,                  /* min_sort_char */
   0xFFFF,             /* max_sort_char */
   ' ',                /* pad char      */
-  0,                  /* escape_with_backslash_is_dangerous */
   1,                  /* levels_for_compare */
   1,                  /* levels_for_order   */
   &my_charset_utf8mb4_handler,
@@ -2754,7 +2753,6 @@
   0,                  /* min_sort_char */
   0xFFFF,             /* max_sort_char */
   ' ',                /* pad char      */
-  0,                  /* escape_with_backslash_is_dangerous */
   1,                  /* levels_for_compare */
   1,                  /* levels_for_order   */
   &my_charset_utf8mb4_handler,

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-10-24 13:51:13 +0000
+++ drizzled/session.cc	2011-10-24 14:41:40 +0000
@@ -1163,10 +1163,8 @@
         const charset_info_st * const res_charset= res->charset();
         const charset_info_st * const character_set_client= default_charset_info;
 
-        bool check_second_byte= (res_charset == &my_charset_bin) &&
-          character_set_client->escape_with_backslash_is_dangerous;
-        assert(character_set_client->mbmaxlen == 2 ||
-               !character_set_client->escape_with_backslash_is_dangerous);
+        bool check_second_byte= false;
+        assert(character_set_client->mbmaxlen == 2 || not false);
         for (start=pos=(char*) res->ptr(),end=pos+used_length ;
              pos != end ;
              pos++)

